package com.intentcall.sistemiembedded.intentcallactivity;

import android.content.Intent;
import android.net.Uri;
import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.telephony.SmsManager;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.TextView;
import android.widget.Toast;


public class IntentCallSampleActivity extends ActionBarActivity {

    static String message = "ciao";
    TextView phoneNo;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_intent_call_sample);
        phoneNo = (TextView) findViewById(R.id.number);
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_intent_call_sample, menu);
        return true;
    }

    public void callNumber(View view) {

        Intent intent = new Intent();
        intent.setAction(Intent.ACTION_CALL);
        intent.setData(Uri.parse("tel:" + phoneNo.getText())); // set the Uri

        try{
            startActivity(intent);
        }
        catch(Exception e){
            Log.i("CALL", e.toString());
            Toast.makeText(this, "Errore", Toast.LENGTH_LONG).show();
            finish();
        }
    }

    public void sendSMS(View view) {
        Log.i("Invia SMS", "");
        try {
            SmsManager smsManager = SmsManager.getDefault();
            if(!phoneNo.getText().toString().isEmpty()) {
                smsManager.sendTextMessage(phoneNo.getText().toString(), null, message, null, null);
                Toast.makeText(getApplicationContext(), "SMS Inviato. a " + phoneNo.getText().toString(),
                        Toast.LENGTH_LONG).show();
            } else {
                Toast.makeText(getApplicationContext(), "Inserisci numero di telefono",
                        Toast.LENGTH_LONG).show();
            }
        } catch (Exception e) {
            Toast.makeText(getApplicationContext(),
                    "Errore, Riprova.",
                    Toast.LENGTH_LONG).show();
            e.printStackTrace();
        }
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
